Insurance Claim

An insurance claim is a claim that you submit to payers for reimbursement.

The insurance claim model


Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the insurance claim.

  • Name
    object
    Type
    string
    Description

    Always 'insurance_claim'.

  • Name
    name
    Type
    string
    Description

    Name of the insurance claim

  • Name
    patient
    Type
    string
    Description

    Patient this insurance claim is associated with.

  • Name
    appointment
    Type
    string
    Description

    Appointment this insurance claim is associated with. If there is no associated appointment, leave this parameter blank.

  • Name
    appointment_occurrence
    Type
    string
    Description

    Appointment occurrence this insurance claim is associated with. This optional attribute only applies to recurring appointments.

  • Name
    visit_note
    Type
    string
    Description

    Visit note this insurance claim is associated with. If there is no visit note associated with this insurance claim, leave this parameter blank.

  • Name
    primary_insurance
    Type
    string
    Description

    Patient’s primary insurance policy.

  • Name
    secondary_insurance
    Type
    string
    Description

    Patient’s secondary insurance policy.

  • Name
    rendering_provider
    Type
    string
    Description

    Provider that provided the medical services.

  • Name
    referring_provider
    Type
    string
    Description

    Provider who directed the patient for care to the provider rendering the services being reported.

  • Name
    service_facility
    Type
    string
    Description

    Location where a medical service was rendered, such as the provider's office or a hospital.

  • Name
    billing_provider
    Type
    string
    Description

    Provider or business entity submitting the insurance claim and representing the person or entity being reimbursed.

  • Name
    prior_authorization
    Type
    string
    Description

    Number indicating that the services provided on the claim have been authorized by the payer. If there is no prior authorization number, leave this entry blank.

  • Name
    patient_authorized_release
    Type
    boolean
    Description

    Patient has authorized release of medical information for billing purposes

  • Name
    benefits_assigned_to_provider
    Type
    boolean
    Description

    Patient has authorized payments to be made to the billing provider.

  • Name
    provider_accepts_assignment
    Type
    boolean
    Description

    You have accepted patient's authorization for payments to be made to the billing provider.

  • Name
    diagnoses
    Type
    array of objects
    Description
    Relevant diagnoses for insurance claim.
  • Name
    billing_items
    Type
    array of objects
    Description
    Relevant billing items for insurance claim.
  • Name
    comments
    Type
    array of strings
    Description

    Comments on this insurance claim.

  • Name
    reviews
    Type
    array of objects
    Description
    Review history of the insurance claim.
  • Name
    status_history
    Type
    array of objects
    Description
    Status history of the insurance claim.
  • Name
    created_by
    Type
    string
    Description

    Creator of the insurance claim.

  • Name
    created_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) of when the insurance claim was created.

  • Name
    last_updated_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) of when this insurance claim was last updated.

Response

{
    "id": "iclm_GHY5mso3NpQP90bNHhpp",
    "object": "insurance_claim",
    "name": "Insurance Claim — May 10, 2023",
    "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
    "appointment": "appt_iXijTmvKZayeKgLvUEUf",
    "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
    "visit_note": "note_JAgHSJHuSodCZ7IhTMqT",
    "primary_insurance": "iply_j0wL6D3LxTeFtzSkvHwJ",
    "secondary_insurance": "iply_GHcjpn0OZ66iRJgT1yeM",
    "rendering_provider": "user_idjkvxZTqfJD734feQHa",
    "referring_provider": "rprv_xZct8V6yLpFGuSs8a8vf",
    "service_facility": "sfac_tJFm1YU2tWDhpgUhXSZ5",
    "billing_provider": "bprv_9g36hEN5wgew2M59eIrF",
    "prior_authorization": "1987472876",
    "patient_authorized_release": true,
    "benefits_assigned_to_provider": true,
    "provider_accepts_assignment": true,
    "diagnoses": [
        {
            "diagnosis": "E11.9",
            "active": true,
            "onset_date": "2022-04-07",
        }
    ],
    "billing_items": [
        {
            "date_of_service_start": "2024-04-10T13:20:21.724Z",
            "date_of_service_end": "2024-04-10T13:20:21.724Z",
            "procedure": "92012",
            "modifiers": [],
            "quantity": 1,
            "fee": 115,
            "associated_diagnoses": ["E11.9"],
            "allowed": 115,
            "denial_reason": ""
        }
    ],
    "comments": [
        "cmmt_18Efdm5UBJduDbioH1kp"
    ],
    "reviews": [
        {
            "status": "needs_review",
            "requested_by": "user_idjkvxZTqfJD734feQHa",
            "reviewer": "user_QtD0YaeDw4VyS9UPBpX4",
            "requested_at": 1684220332000,
            "review_deadline": 1686220332000,
            "reviewed_at": 1684220992000
        }
    ],
    "status_history": [
        {
            "status": "in_progress",
            "changed_by": "user_idjkvxZTqfJD734feQHa",
            "changed_at": "2024-04-10T13:20:21.724Z"
        },
        {
            "status": "submitted",
            "changed_by": "user_idjkvxZTqfJD734feQHa",
            "changed_at": "2024-05-10T13:20:21.724Z"
        }
    ],
    "created_by": "user_Z1zXZKvqrpwxbznuW6lJ",
    "created_at": "2024-04-10T13:20:21.724Z",
    "last_updated_at": "2024-05-10T13:20:21.724Z"
}


POST/v2/insurance_claims

Create an insurance claim

Creates a new insurance claim.

Required attributes

  • Name
    patient
    Type
    string
    Description

    Patient this insurance claim is associated with.

Optional attributes

  • Name
    name
    Type
    string
    Description

    Name of the insurance claim

  • Name
    appointment
    Type
    string
    Description

    Appointment this insurance claim is associated with. If there is no associated appointment, leave this parameter blank.

  • Name
    appointment_occurrence
    Type
    string
    Description

    Appointment occurrence this insurance claim is associated with. This optional attribute only applies to recurring appointments.

  • Name
    visit_note
    Type
    string
    Description

    Visit note this insurance claim is associated with. If there is no visit note associated with this insurance claim, leave this parameter blank.

  • Name
    primary_insurance
    Type
    string
    Description

    Patient’s primary insurance policy.

  • Name
    secondary_insurance
    Type
    string
    Description

    Patient’s secondary insurance policy.

  • Name
    rendering_provider
    Type
    string
    Description

    Provider that provided the medical services.

  • Name
    referring_provider
    Type
    string
    Description

    Provider who directed the patient for care to the provider rendering the services being reported.

  • Name
    service_facility
    Type
    string
    Description

    Location where a medical service was rendered, such as the provider's office or a hospital.

  • Name
    billing_provider
    Type
    string
    Description

    Provider or business entity submitting the insurance claim and representing the person or entity being reimbursed.

  • Name
    prior_authorization
    Type
    string
    Description

    Number indicating that the services provided on the claim have been authorized by the payer. If there is no prior authorization number, leave this entry blank.

  • Name
    patient_authorized_release
    Type
    boolean
    Description

    Patient has authorized release of medical information for billing purposes

  • Name
    benefits_assigned_to_provider
    Type
    boolean
    Description

    Patient has authorized payments to be made to the billing provider.

  • Name
    provider_accepts_assignment
    Type
    boolean
    Description

    You have accepted patient's authorization for payments to be made to the billing provider.

Request

POST
/v2/insurance_claims
curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/insurance_claims" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}" \
  -H "Content-Type: application/json" \
  --data '{
    "patient": "user_Z1zXZKvqrpwxbznuW6lJ"
  }'

Response

     {
        "id": "iclm_GHY5mso3NpQP90bNHhpp",
        "object": "insurance_claim",
        "name": "Insurance Claim — May 10, 2023",
        "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
        "appointment": "appt_iXijTmvKZayeKgLvUEUf",
        "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
        "visit_note": "note_JAgHSJHuSodCZ7IhTMqT",
        "primary_insurance": "iply_j0wL6D3LxTeFtzSkvHwJ",
        "secondary_insurance": "iply_GHcjpn0OZ66iRJgT1yeM",
        "rendering_provider": "user_idjkvxZTqfJD734feQHa",
        "referring_provider": "rprv_xZct8V6yLpFGuSs8a8vf",
        "service_facility": "sfac_tJFm1YU2tWDhpgUhXSZ5",
        "billing_provider": "bprv_9g36hEN5wgew2M59eIrF",
        "prior_authorization": "1987472876",
        "patient_authorized_release": true,
        "benefits_assigned_to_provider": true,
        "provider_accepts_assignment": true,
        "diagnoses": [
            {
                "diagnosis": "E11.9",
                "active": true,
                "onset_date": "2022-04-07",
            }
        ],
        "billing_items": [
            {
                "date_of_service_start": "2024-04-10T13:20:21.724Z",
                "date_of_service_end": "2024-04-10T13:20:21.724Z",
                "procedure": "92012",
                "modifiers": [],
                "quantity": 1,
                "fee": 115,
                "associated_diagnoses": ["E11.9"],
                "allowed": 115,
                "denial_reason": ""
            }
        ],
        "comments": [
            "cmmt_18Efdm5UBJduDbioH1kp"
        ],
        "reviews": [
            {
                "status": "needs_review",
                "requested_by": "user_idjkvxZTqfJD734feQHa",
                "reviewer": "user_QtD0YaeDw4VyS9UPBpX4",
                "requested_at": 1684220332000,
                "review_deadline": 1686220332000,
                "reviewed_at": 1684220992000
            }
        ],
        "status_history": [
            {
                "status": "in_progress",
                "changed_by": "user_idjkvxZTqfJD734feQHa",
                "changed_at": "2024-04-10T13:20:21.724Z"
            },
            {
                "status": "submitted",
                "changed_by": "user_idjkvxZTqfJD734feQHa",
                "changed_at": "2024-05-10T13:20:21.724Z"
            }
        ],
        "created_by": "user_Z1zXZKvqrpwxbznuW6lJ",
        "created_at": "2024-04-10T13:20:21.724Z",
        "last_updated_at": "2024-05-10T13:20:21.724Z"
    }

GET/v2/insurance_claims/:id

Retrieve an insurance claim

Retrieves the specified insurance claim.

Request

GET
/v2/insurance_claims/:id
curl "https://{{base_subdomain}}.avonhealth.com/v2/insurance_claims/:id" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response


      {
        "id": "iclm_GHY5mso3NpQP90bNHhpp",
        "object": "insurance_claim",
        "name": "Insurance Claim — May 10, 2023",
        "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
        "appointment": "appt_iXijTmvKZayeKgLvUEUf",
        "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
        "visit_note": "note_JAgHSJHuSodCZ7IhTMqT",
        "primary_insurance": "iply_j0wL6D3LxTeFtzSkvHwJ",
        "secondary_insurance": "iply_GHcjpn0OZ66iRJgT1yeM",
        "rendering_provider": "user_idjkvxZTqfJD734feQHa",
        "referring_provider": "rprv_xZct8V6yLpFGuSs8a8vf",
        "service_facility": "sfac_tJFm1YU2tWDhpgUhXSZ5",
        "billing_provider": "bprv_9g36hEN5wgew2M59eIrF",
        "prior_authorization": "1987472876",
        "patient_authorized_release": true,
        "benefits_assigned_to_provider": true,
        "provider_accepts_assignment": true,
        "diagnoses": [
            {
                "diagnosis": "E11.9",
                "active": true,
                "onset_date": "2022-04-07",
            }
        ],
        "billing_items": [
            {
                "date_of_service_start": "2024-04-10T13:20:21.724Z",
                "date_of_service_end": "2024-04-10T13:20:21.724Z",
                "procedure": "92012",
                "modifiers": [],
                "quantity": 1,
                "fee": 115,
                "associated_diagnoses": ["E11.9"],
                "allowed": 115,
                "denial_reason": ""
            }
        ],
        "comments": [
            "cmmt_18Efdm5UBJduDbioH1kp"
        ],
        "reviews": [
            {
                "status": "needs_review",
                "requested_by": "user_idjkvxZTqfJD734feQHa",
                "reviewer": "user_QtD0YaeDw4VyS9UPBpX4",
                "requested_at": 1684220332000,
                "review_deadline": 1686220332000,
                "reviewed_at": 1684220992000
            }
        ],
        "status_history": [
            {
                "status": "in_progress",
                "changed_by": "user_idjkvxZTqfJD734feQHa",
                "changed_at": "2024-04-10T13:20:21.724Z"
            },
            {
                "status": "submitted",
                "changed_by": "user_idjkvxZTqfJD734feQHa",
                "changed_at": "2024-05-10T13:20:21.724Z"
            }
        ],
        "created_by": "user_Z1zXZKvqrpwxbznuW6lJ",
        "created_at": "2024-04-10T13:20:21.724Z",
        "last_updated_at": "2024-05-10T13:20:21.724Z"
      }

POST/v2/insurance_claims/:id

Update an insurance claim

Updates the specified insurance claim object by setting the values of the parameters passed. Any other parameters not provided will not be modified.

Required attributes

    Optional attributes

    • Name
      name
      Type
      string
      Description

      Name of the insurance claim

    • Name
      appointment
      Type
      string
      Description

      Appointment this insurance claim is associated with. If there is no associated appointment, leave this parameter blank.

    • Name
      appointment_occurrence
      Type
      string
      Description

      Appointment occurrence this insurance claim is associated with. This optional attribute only applies to recurring appointments.

    • Name
      visit_note
      Type
      string
      Description

      Visit note this insurance claim is associated with. If there is no visit note associated with this insurance claim, leave this parameter blank.

    • Name
      primary_insurance
      Type
      string
      Description

      Patient’s primary insurance policy.

    • Name
      secondary_insurance
      Type
      string
      Description

      Patient’s secondary insurance policy.

    • Name
      rendering_provider
      Type
      string
      Description

      Provider that provided the medical services.

    • Name
      referring_provider
      Type
      string
      Description

      Provider who directed the patient for care to the provider rendering the services being reported.

    • Name
      service_facility
      Type
      string
      Description

      Location where a medical service was rendered, such as the provider's office or a hospital.

    • Name
      billing_provider
      Type
      string
      Description

      Provider or business entity submitting the insurance claim and representing the person or entity being reimbursed.

    • Name
      prior_authorization
      Type
      string
      Description

      Number indicating that the services provided on the claim have been authorized by the payer. If there is no prior authorization number, leave this entry blank.

    • Name
      patient_authorized_release
      Type
      boolean
      Description

      Patient has authorized release of medical information for billing purposes

    • Name
      benefits_assigned_to_provider
      Type
      boolean
      Description

      Patient has authorized payments to be made to the billing provider.

    • Name
      provider_accepts_assignment
      Type
      boolean
      Description

      You have accepted patient's authorization for payments to be made to the billing provider.

    Request

    POST
    /v2/insurance_claims/:id
    curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/insurance_claims/:id" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}" \
      -H "Content-Type: application/json" \
      --data '{}'
    

    Response

    
          {
            "id": "iclm_GHY5mso3NpQP90bNHhpp",
            "object": "insurance_claim",
            "name": "Insurance Claim — May 10, 2023",
            "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
            "appointment": "appt_iXijTmvKZayeKgLvUEUf",
            "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
            "visit_note": "note_JAgHSJHuSodCZ7IhTMqT",
            "primary_insurance": "iply_j0wL6D3LxTeFtzSkvHwJ",
            "secondary_insurance": "iply_GHcjpn0OZ66iRJgT1yeM",
            "rendering_provider": "user_idjkvxZTqfJD734feQHa",
            "referring_provider": "rprv_xZct8V6yLpFGuSs8a8vf",
            "service_facility": "sfac_tJFm1YU2tWDhpgUhXSZ5",
            "billing_provider": "bprv_9g36hEN5wgew2M59eIrF",
            "prior_authorization": "1987472876",
            "patient_authorized_release": true,
            "benefits_assigned_to_provider": true,
            "provider_accepts_assignment": true,
            "diagnoses": [
                {
                    "diagnosis": "E11.9",
                    "active": true,
                    "onset_date": "2022-04-07",
                }
            ],
            "billing_items": [
                {
                    "date_of_service_start": "2024-04-10T13:20:21.724Z",
                    "date_of_service_end": "2024-04-10T13:20:21.724Z",
                    "procedure": "92012",
                    "modifiers": [],
                    "quantity": 1,
                    "fee": 115,
                    "associated_diagnoses": ["E11.9"],
                    "allowed": 115,
                    "denial_reason": ""
                }
            ],
            "comments": [
                "cmmt_18Efdm5UBJduDbioH1kp"
            ],
            "reviews": [
                {
                    "status": "needs_review",
                    "requested_by": "user_idjkvxZTqfJD734feQHa",
                    "reviewer": "user_QtD0YaeDw4VyS9UPBpX4",
                    "requested_at": 1684220332000,
                    "review_deadline": 1686220332000,
                    "reviewed_at": 1684220992000
                }
            ],
            "status_history": [
                {
                    "status": "in_progress",
                    "changed_by": "user_idjkvxZTqfJD734feQHa",
                    "changed_at": "2024-04-10T13:20:21.724Z"
                },
                {
                    "status": "submitted",
                    "changed_by": "user_idjkvxZTqfJD734feQHa",
                    "changed_at": "2024-05-10T13:20:21.724Z"
                }
            ],
            "created_by": "user_Z1zXZKvqrpwxbznuW6lJ",
            "created_at": "2024-04-10T13:20:21.724Z",
            "last_updated_at": "2024-05-10T13:20:21.724Z"
          }
    

    GET/v2/insurance_claims

    List all insurance claims

    Optional query parameters

    • Name
      patient
      Type
      string
      Description

      Patient to filter by.

    • Name
      patients
      Type
      array of strings
      Description

      Patients to filter by.

    • Name
      visit_note
      Type
      string
      Description

      Visit note to filter by.

    • Name
      rendering_provider
      Type
      string
      Description

      Rendering provider to filter by.

    • Name
      rendering_providers
      Type
      array of strings
      Description

      Rendering providers to filter by.

    • Name
      referring_provider
      Type
      string
      Description

      Referring provider to filter by.

    • Name
      referring_providers
      Type
      array of strings
      Description

      Referring providers to filter by.

    • Name
      service_facility
      Type
      string
      Description

      Service facility to filter by.

    • Name
      service_facilities
      Type
      array of strings
      Description

      Service facilities to filter by.

    • Name
      created_by
      Type
      string
      Description

      Created by to filter by.

    • Name
      tags
      Type
      array of strings
      Description

      Tags to filter by.

    Request

    GET
    /v2/insurance_claims
    curl "https://{{base_subdomain}}.avonhealth.com/v2/insurance_claims?patient=user_Z1zXZKvqrpwxbznuW6lJ&patients=" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}"
    

    Response

        {
          "object": "list",
          "data": [
            {
                "id": "iclm_GHY5mso3NpQP90bNHhpp",
                "object": "insurance_claim",
                "name": "Insurance Claim — May 10, 2023",
                "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
                "appointment": "appt_iXijTmvKZayeKgLvUEUf",
                "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
                "visit_note": "note_JAgHSJHuSodCZ7IhTMqT",
                "primary_insurance": "iply_j0wL6D3LxTeFtzSkvHwJ",
                "secondary_insurance": "iply_GHcjpn0OZ66iRJgT1yeM",
                "rendering_provider": "user_idjkvxZTqfJD734feQHa",
                "referring_provider": "rprv_xZct8V6yLpFGuSs8a8vf",
                "service_facility": "sfac_tJFm1YU2tWDhpgUhXSZ5",
                "billing_provider": "bprv_9g36hEN5wgew2M59eIrF",
                "prior_authorization": "1987472876",
                "patient_authorized_release": true,
                "benefits_assigned_to_provider": true,
                "provider_accepts_assignment": true,
                "diagnoses": [
                    {
                        "diagnosis": "E11.9",
                        "active": true,
                        "onset_date": "2022-04-07",
                    }
                ],
                "billing_items": [
                    {
                        "date_of_service_start": "2024-04-10T13:20:21.724Z",
                        "date_of_service_end": "2024-04-10T13:20:21.724Z",
                        "procedure": "92012",
                        "modifiers": [],
                        "quantity": 1,
                        "fee": 115,
                        "associated_diagnoses": ["E11.9"],
                        "allowed": 115,
                        "denial_reason": ""
                    }
                ],
                "comments": [
                    "cmmt_18Efdm5UBJduDbioH1kp"
                ],
                "reviews": [
                    {
                        "status": "needs_review",
                        "requested_by": "user_idjkvxZTqfJD734feQHa",
                        "reviewer": "user_QtD0YaeDw4VyS9UPBpX4",
                        "requested_at": 1684220332000,
                        "review_deadline": 1686220332000,
                        "reviewed_at": 1684220992000
                    }
                ],
                "status_history": [
                    {
                        "status": "in_progress",
                        "changed_by": "user_idjkvxZTqfJD734feQHa",
                        "changed_at": "2024-04-10T13:20:21.724Z"
                    },
                    {
                        "status": "submitted",
                        "changed_by": "user_idjkvxZTqfJD734feQHa",
                        "changed_at": "2024-05-10T13:20:21.724Z"
                    }
                ],
                "created_by": "user_Z1zXZKvqrpwxbznuW6lJ",
                "created_at": "2024-04-10T13:20:21.724Z",
                "last_updated_at": "2024-05-10T13:20:21.724Z"
            },
          ]
        }
    

    DELETE/v2/insurance_claims/:id

    Delete an insurance claim

    Deletes the specified insurance claim.

    Required attributes

      Optional attributes

        Request

        DELETE
        /v2/insurance_claims/:id
        curl -X DELETE "https://{{base_subdomain}}.avonhealth.com/v2/insurance_claims/:id" \
          -H "Authorization: Bearer {{token}}" \
          -H "x-jwt: {{jwt}}"
        

        Response

            {
                "id": "iclm_GHY5mso3NpQP90bNHhpp",
                "object": "insurance_claim",
                "delete": true
            }
        

        POST/v2/insurance_claims/:insurance_claim_id/billing_items

        Create an insurance claim billing item

        Adds a billing line item to the specified insurance claim.

        Required attributes

        • Name
          date_of_service_start
          Type
          date-time
          Description

          Date and time of the start of the service.

        • Name
          date_of_service_end
          Type
          date-time
          Description

          Date and time of the end of the service.

        • Name
          procedure
          Type
          string
          Description

          Procedure code for the procedure being billed.

        • Name
          quantity
          Type
          number
          Description

          Quantity of the procedure being billed.

        • Name
          fee
          Type
          number
          Description

          Fee for the procedure being billed.

        • Name
          associated_diagnoses
          Type
          array of strings
          Description

          List of diagnoses associated with the procedure.

        Optional attributes

        • Name
          modifiers
          Type
          array of strings
          Description

          List of modifiers for the procedure.

        • Name
          notes
          Type
          string
          Description

          Notes associated with the billing item.

        Request

        POST
        /v2/insurance_claims/:insurance_claim_id/billing_items
        curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/insurance_claims/:insurance_claim_id/billing_items" \
          -H "Authorization: Bearer {{token}}" \
          -H "x-jwt: {{jwt}}" \
          -H "account: {{account}}" \
          -H "Content-Type: application/json" \
          --data '{
            "date_of_service_start": "2025-01-15T14:30:00.000Z",
            "date_of_service_end": "2025-01-15T14:30:00.000Z",
            "procedure": "Example",
            "quantity": 1,
            "fee": 1,
            "associated_diagnoses": []
          }'
        

        Response

             {
                "id": "2UxtAULYUrX7GVsTKePy",
                "date_of_service_start": "2024-04-10T13:20:21.724Z",
                "date_of_service_end": "2024-04-10T13:20:21.724Z",
                "procedure": "99213",
                "modifiers": ["95"],
                "quantity": 1,
                "fee": 100.0,
                "associated_diagnoses": ["E10.0"],
                "allowed": 100.0,
                "denial_reason": "",
                "paid_date": "2024-04-10T13:20:21.724Z",
                "notes": ""
            }
        

        POST/v2/insurance_claims/:insurance_claim_id/billing_items/:id

        Update an insurance claim billing item

        Required attributes

        Optional attributes

        • Name
          date_of_service_start
          Type
          date-time
          Description

          Date and time of the start of the service.

        • Name
          date_of_service_end
          Type
          date-time
          Description

          Date and time of the end of the service.

        • Name
          procedure
          Type
          string
          Description

          Procedure code for the procedure being billed.

        • Name
          quantity
          Type
          number
          Description

          Quantity of the procedure being billed.

        • Name
          fee
          Type
          number
          Description

          Fee for the procedure being billed.

        • Name
          associated_diagnoses
          Type
          array of strings
          Description

          List of diagnoses associated with the procedure.

        • Name
          modifiers
          Type
          array of strings
          Description

          List of modifiers for the procedure.

        • Name
          notes
          Type
          string
          Description

          Notes associated with the billing item.

        Request

        POST
        /v2/insurance_claims/:insurance_claim_id/billing_items/:id
        curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/insurance_claims/:insurance_claim_id/billing_items/:id" \
          -H "Authorization: Bearer {{token}}" \
          -H "x-jwt: {{jwt}}" \
          -H "account: {{account}}" \
          -H "Content-Type: application/json" \
          --data '{}'
        

        Response

            {
                "id": "2UxtAULYUrX7GVsTKePy",
                "date_of_service_start": "2024-04-10T13:20:21.724Z",
                "date_of_service_end": "2024-04-10T13:20:21.724Z",
                "procedure": "99213",
                "modifiers": ["95"],
                "quantity": 1,
                "fee": 100.0,
                "associated_diagnoses": ["E10.0"],
                "allowed": 100.0,
                "denial_reason": "",
                "paid_date": "2024-04-10T13:20:21.724Z",
                "notes": ""
            }
        

        DELETE/v2/insurance_claims/:insurance_claim_id/billing_items/:id

        Delete an insurance claim billing item

        Deletes the specified billing line item from the insurance claim.

        Required attributes

          Optional attributes

            Request

            DELETE
            /v2/insurance_claims/:insurance_claim_id/billing_items/:id
            curl -X DELETE "https://{{base_subdomain}}.avonhealth.com/v2/insurance_claims/:insurance_claim_id/billing_items/:id" \
              -H "Authorization: Bearer {{token}}" \
              -H "x-jwt: {{jwt}}" \
              -H "account: {{account}}"
            

            Response

                {
                    "id": "2UxtAULYUrX7GVsTKePy",
                    "object": "billing_item",
                    "delete": true
                }
            

            POST/v2/insurance_claims/:insurance_claim_id/diagnoses

            Create an insurance claim diagnosis

            Adds a diagnosis to the specified insurance claim.

            Required attributes

            • Name
              diagnosis
              Type
              string
              Description

              ICD-10 code of diagnosis.

            • Name
              active
              Type
              boolean
              Description

              Whether diagnosis is still active.

            • Name
              onset_date
              Type
              date
              Description

              Start date of diagnosis (in ISO 8601 format).

            • Name
              end_date
              Type
              date
              Description

              Only applies if .active is false. End date of diagnosis (in ISO 8601 format).

            Optional attributes

              Request

              POST
              /v2/insurance_claims/:insurance_claim_id/diagnoses
              curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/insurance_claims/:insurance_claim_id/diagnoses" \
                -H "Authorization: Bearer {{token}}" \
                -H "x-jwt: {{jwt}}" \
                -H "account: {{account}}" \
                -H "Content-Type: application/json" \
                --data '{
                  "diagnosis": "Example",
                  "active": true,
                  "onset_date": "2025-01-15T14:30:00.000Z",
                  "end_date": "2025-01-15T14:30:00.000Z"
                }'
              

              Response

                   {
                      "id": "2UxtAULYUrX7GVsTKePy",
                      "diagnosis": "E10.0",
                      "active": true,
                      "onset_date": "2022-05-28",
                      "end_date": "2022-05-28"
                  }
              

              POST/v2/insurance_claims/:insurance_claim_id/diagnoses/:id

              Update an insurance claim diagnosis

              Required attributes

              Optional attributes

              • Name
                diagnosis
                Type
                string
                Description

                ICD-10 code of diagnosis.

              • Name
                active
                Type
                boolean
                Description

                Whether diagnosis is still active.

              • Name
                onset_date
                Type
                date
                Description

                Start date of diagnosis (in ISO 8601 format).

              • Name
                end_date
                Type
                date
                Description

                Only applies if .active is false. End date of diagnosis (in ISO 8601 format).

              Request

              POST
              /v2/insurance_claims/:insurance_claim_id/diagnoses/:id
              curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/insurance_claims/:insurance_claim_id/diagnoses/:id" \
                -H "Authorization: Bearer {{token}}" \
                -H "x-jwt: {{jwt}}" \
                -H "account: {{account}}" \
                -H "Content-Type: application/json" \
                --data '{}'
              

              Response

                  {
                      "id": "2UxtAULYUrX7GVsTKePy",
                      "diagnosis": "E10.0",
                      "active": true,
                      "onset_date": "2022-05-28",
                      "end_date": "2022-05-28"
                  }
              

              DELETE/v2/insurance_claims/:insurance_claim_id/diagnoses/:id

              Delete an insurance claim diagnosis

              Deletes the specified diagnosis from the insurance claim.

              Required attributes

                Optional attributes

                  Request

                  DELETE
                  /v2/insurance_claims/:insurance_claim_id/diagnoses/:id
                  curl -X DELETE "https://{{base_subdomain}}.avonhealth.com/v2/insurance_claims/:insurance_claim_id/diagnoses/:id" \
                    -H "Authorization: Bearer {{token}}" \
                    -H "x-jwt: {{jwt}}" \
                    -H "account: {{account}}"
                  

                  Response

                      {
                          "id": "2UxtAULYUrX7GVsTKePy",
                          "object": "diagnosis",
                          "delete": true
                      }